Zum Hauptinhalt springen
DELETE
/
v3
/
enterprise
/
organizations
/
{org_id}
/
git-providers
/
permissions
Git-Berechtigungen zurücksetzen
curl --request DELETE \
  --url https://api.devin.ai/v3/enterprise/organizations/{org_id}/git-providers/permissions \
  --header 'Authorization: Bearer <token>'
[
  {
    "git_connection_id": "<string>",
    "git_permission_id": "<string>",
    "group_prefix": "<string>",
    "prefix_path": "<string>",
    "repo_path": "<string>"
  }
]

Berechtigungen

Erfordert einen Servicebenutzer mit der Berechtigung ManageGitIntegrations auf Enterprise-Ebene.

Autorisierungen

Authorization
string
header
erforderlich

Servicebenutzer-Anmeldedaten (Präfix: cog_)

Pfadparameter

org_id
string
erforderlich

Antwort

Erfolgreiche Antwort

git_connection_id
string
erforderlich
git_permission_id
string
erforderlich
group_prefix
string | null
prefix_path
string | null
repo_path
string | null